# Method: customer.devices.chromeos.issueCommand

Issues a command for the device to execute.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/chromeos/{deviceId}:issueCommand`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Immutable. ID of the Google Workspace account. |
| `deviceId` | `string` Immutable. ID of Chrome OS Device. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "commandType": enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/customer.devices.chromeos.commands#CommandType`), "payload": string } ``` |

| Fields ||
|---|---|
| `commandType` | ``enum (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/customer.devices.chromeos.commands#CommandType`)`` The type of command. |
| `payload` | `string` The payload for the command, provide it only if command supports it. The following commands support adding payload: - `SET_VOLUME`: Payload is a stringified JSON object in the form: { "volume": 50 }. The volume has to be an integer in the range \[0,100\]. - `DEVICE_START_CRD_SESSION`: Payload is optionally a stringified JSON object in the form: { "ackedUserPresence": true, "crdSessionType": string }. `ackedUserPresence` is a boolean. By default, `ackedUserPresence` is set to `false`. To start a Chrome Remote Desktop session for an active device, set `ackedUserPresence` to `true`. `crdSessionType` can only select from values `private` (which grants the remote admin exclusive control of the ChromeOS device) or `shared` (which allows the admin and the local user to share control of the ChromeOS device). If not set, `crdSessionType` defaults to `shared`. The `FETCH_CRD_AVAILABILITY_INFO` command can be used to determine available session types on the device. - `REBOOT`: Payload is a stringified JSON object in the form: { "user_session_delay_seconds": 300 }. The `user_session_delay_seconds` is the amount of seconds to wait before rebooting the device if a user is logged in. It has to be an integer in the range \[0,300\]. When payload is not present for reboot, 0 delay is the default. Note: This only applies if an actual user is logged in, including a Guest. If the device is in the login screen or in Kiosk mode the value is not respected and the device immediately reboots. - `FETCH_SUPPORT_PACKET`: Payload is optionally a stringified JSON object in the form: {"supportPacketDetails":{ "issueCaseId": optional_support_case_id_string, "issueDescription": optional_issue_description_string, "requestedDataCollectors": \[\<comma-separated list of `data_collector_enums` integer values\>\]}} The list of available `data_collector_enums` are as following: Chrome System Information (1), Crash IDs (2), Memory Details (3), UI Hierarchy (4), Additional ChromeOS Platform Logs (5), Device Event (6), Intel WiFi NICs Debug Dump (7), Touch Events (8), Lacros (9), Lacros System Information (10), ChromeOS Flex Logs (11), DBus Details (12), ChromeOS Network Routes (13), ChromeOS Shill (Connection Manager) Logs (14), Policies (15), ChromeOS System State and Logs (16), ChromeOS System Logs (17), ChromeOS Chrome User Logs (18), ChromeOS Bluetooth (19), ChromeOS Connected Input Devices (20), ChromeOS Traffic Counters (21), ChromeOS Virtual Keyboard (22), ChromeOS Network Health (23). See more details in [help article](https://support.google.com/chrome/a?p=remote-log). |

### Response body

A response for issuing a command.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "commandId": string } ``` |

| Fields ||
|---|---|
| `commandId` | `string (https://developers.google.com/discovery/v1/type-format format)` The unique ID of the issued command, used to retrieve the command status. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.device.chromeos`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).